Bug 165015 - Kernel panic on a system running Oracle with large SGA
Kernel panic on a system running Oracle with large SGA
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Anderson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 11:30 EDT by Vlady
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:56:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vlady 2005-08-03 11:30:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.7.8) Gecko/20050512 Firefox/1.0.4

Description of problem:
We have a system running RHEL 3 (update 4). The system is a database server running Oracle Database Server 9.2.0.6 . On irregular time intervals the systems experiences kernel panic and restarts.
The Oracle server uses large SGA, based on indirect_data_buffers and /dev/shm .
The system has 8GB of RAM, 4 of which are mouted on /dev/shm .

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-27.0.2.EL

How reproducible:
Didn't try


Additional info:

Nothing suspisious could be found in the system logs.
The system just panics and restarts
Comment 1 Ernie Petrides 2005-08-03 16:47:06 EDT
Please include the full console output of the oops/panic messages (using
a serial console line if necessary).  Also, please let us know if this
can be reproduced on the latest released kernel, which is the post-U5
security release (kernel version 2.4.21-32.0.1.EL from RHSA-2005:472).

If this is a serious issue for you, you should also register the problem
with Red Hat Customer Support (so that they can open an Issue Tracker ticket)
and let them know that this BZ was already created.
Comment 2 Vlady 2005-08-04 04:49:06 EDT
Can't supply the console output of the panic messages, since the system is
managed remotely, the panic occurs on the irregular time interavals and there is
no persistent monitoring of the system via serial console.

Currently, the system is in production and can't be stopped for upgrade to U5.

Don't you have similar complaints according to Oracle on RHEL 3?
Comment 3 Ernie Petrides 2005-08-05 17:00:16 EDT
No, we don't.

I'm reverting this to NEEDINFO state.  Without the additional information,
no progress can be made on this problem.
Comment 4 RHEL Product and Program Management 2007-10-19 14:56:36 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.